uniform mat4 PROJECTION_MATRIX;
uniform mat4 VIEW_MATRIX;
uniform mat4 WORLD_MATRIX;
uniform vec4 ALPHA_COLOUR;

attribute vec4 position;
attribute vec4 colour;

varying vec4 fragment_colour;

void main() {
  gl_Position = PROJECTION_MATRIX * VIEW_MATRIX * WORLD_MATRIX * position;
  fragment_colour = vec4(colour.xyz, colour.a * ALPHA_COLOUR.a);
}